karaf-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Jean-Baptiste Onofré ...@nanthrax.net>
Subject Re: Karaf 4.0.3 - unable to start bundle ../activemq-osgi/5.13.0
Date Wed, 06 Jan 2016 14:10:57 GMT
 From a fresh Karaf 4.0.3:

karaf@root()> feature:repo-add camel 2.16.1
karaf@root()> feature:repo-add activemq 5.13.0
karaf@root()> feature:install activemq-broker-noweb
karaf@root()> feature:install activemq-camel

No error.

What's the steps that you do in order to reproduce your issue ?

Regards
JB

On 01/06/2016 03:04 PM, mwh wrote:
> Trying to install the activemq-camel feature from activemq-karaf features
> v5.13.0 on Karaf 4.0.3 / Camel 2.16.1.
>
> Get the following exception on Karaf startup:-
>
> Caused by: java.lang.ClassNotFoundException:
> org.springframework.osgi.context.support.OsgiBundleXmlApplicationContext not
> found by org.apache.activemq.activemq-osgi [42]
> 	at
> org.apache.felix.framework.BundleWiringImpl.findClassOrResourceByDelegation(BundleWiringImpl.java:1574)[org.apache.felix.framework-5.4.0.jar:]
>
> ..etc
>
> The missing class appears to be part of the spring-dm (v1.2.1) feature which
> has been installed successfully.
>
> Any ideas?
>
>
>
>
>
> --
> View this message in context: http://karaf.922171.n3.nabble.com/Karaf-4-0-3-unable-to-start-bundle-activemq-osgi-5-13-0-tp4044640.html
> Sent from the Karaf - User mailing list archive at Nabble.com.
>

-- 
Jean-Baptiste Onofré
jbonofre@apache.org
http://blog.nanthrax.net
Talend - http://www.talend.com

Mime
View raw message